> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Waves Filter

> Retrieve accessible waves that satisfy filter criteria.



## OpenAPI

````yaml post /v2/waves/filter
openapi: 3.0.0
info:
  contact: {}
  description: >-
    V2 HTTP JSON API for localcopy-surveys stored info
    (namespaces,releases,waves,locations)
  title: localcopy-surveys API
  version: 2.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/waves/filter:
    post:
      tags:
        - Waves
      summary: v2 Waves Filter
      description: Retrieve accessible waves that satisfy filter criteria.
      operationId: v2WavesFilter
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/localcopysurveyspbv2rest.WavesFilterRequest'
        description: request for filter
        required: true
      responses:
        '200':
          description: details about locations
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/localcopysurveyspbv2rest.WavesFilterResponse
        '400':
          description: permissions service rejected a request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        default:
          description: some other error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    localcopysurveyspbv2rest.WavesFilterRequest:
      properties:
        namespaces:
          description: Namespace codes to filter waves by.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.NamespacesFilter'
          type: array
      type: object
    localcopysurveyspbv2rest.WavesFilterResponse:
      properties:
        waves:
          description: List of waves.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.Wave'
          type: array
      type: object
    errors.HTTPError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    localcopysurveyspbv2rest.NamespacesFilter:
      properties:
        code:
          description: Code of the namespace filter (core, gwi-ext, ...).
          type: string
      type: object
    localcopysurveyspbv2rest.Wave:
      properties:
        accessible:
          description: Is wave accessible by the user? (true).
          type: boolean
        code:
          description: Wave code ("q1_2020").
          type: string
        date_end:
          $ref: '#/components/schemas/timestamppb.Timestamp'
        date_start:
          $ref: '#/components/schemas/timestamppb.Timestamp'
        id:
          description: Wave ID.
          type: integer
        kind:
          description: Kind of wave.
          type: string
        name:
          description: Wave name ("Q1 2020").
          type: string
        namespaces:
          description: Namespaces of a wave.
          items:
            $ref: '#/components/schemas/localcopysurveyspbv2rest.WaveNamespace'
          type: array
      type: object
    timestamppb.Timestamp:
      properties:
        nanos:
          description: >-
            Non-negative fractions of a second at nanosecond resolution.
            Negative

            second values with fractions must still have non-negative nanos
            values

            that count forward in time. Must be from 0 to 999,999,999

            inclusive.
          type: integer
        seconds:
          description: |-
            Represents seconds of UTC time since Unix epoch
            1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to
            9999-12-31T23:59:59Z inclusive.
          type: integer
      type: object
    localcopysurveyspbv2rest.WaveNamespace:
      properties:
        code:
          description: Namespace code (core, gwi-ext).
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````